Skip to main content
Queries

Get execute script request status

This method requires the Queries:ExecuteScript permission to be associated with your role.

GET
/gb/queries/execute-script/request-status/{execute_script_request_id}
Authorizationstringheaderrequired

For accessing the API a valid token must be passed in all the queries in the 'Authorization' header.

A valid token is generated by the API and returned by the /authenticate method by supplying a valid username and password.

The following syntax must be used in the 'Authorization' header :

Bearer aaaaaa/bbbbbb.ccccccc.dddddd
execute_script_request_idstringrequired

Execute Script Request Id obtained from execute script request

Required string length: 36 - 36
Pattern: ^[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$

Response

application/vnd.catch-e-api.v1+json

Success

execute_script_request_idstring
execution_time_secondsintegerdefault:null
result_messagestringdefault:null
result_statusenum<string>
Available options: OK, ERROR